---
# You don't need to edit this file, it's empty on purpose.
# Edit theme's home layout instead if you wanna make some changes
# See: https://jekyllrb.com/docs/themes/#overriding-theme-defaults
layout: home
---

<div class="columns medium-12">

  <section id="intro">
    <div class="row">
      <div class="columns medium-push-6 medium-6">
        <img class="large-logo" src="{{ "/assets/img/ns-3-notext.png" | relative_url }}" alt="ns-3 Box Graphic">
        <h1>Network Simulator</h1>
        <p><strong>ns-3</strong> is a discrete-event network simulator for Internet systems, targeted primarily for research and educational use. ns-3 is free software, licensed under the GNU GPLv2 license, and is publicly available for research, development, and use.</p>
      </div>
      <div class="columns medium-pull-6 medium-6">
        <a href="#" data-reveal-id="briteModal">
          <img class="img-responsive featured-image" src="{{ "/assets/img/ns3_brite.png" | relative_url }}" alt="ns3 Brite">
        </a>
      </div>
    </div>
    <div class="row">
      <div class="columns large-push-6 large-6">
        <ul class="button-group stack-for-small even-3">
          <li><a href="{{ "/releases/" | relative_url }}" class="button">Download</a></li>
          <li><a href="{{ "/documentation/" | relative_url }}" class="button">Docs</a></li>
          <li><a href="https://apps.nsnam.org/" target="_blank" class="button">App Store</a></li>
        </ul>
      </div>
    </div>
  </section>

  <section id="announcements">
    <div class="row">
      <div class="columns small-12">
        <div class="panel callout">
          <h3>Site maintenance announcement</h3>
          <p>The project is migrating content from its old Wordpress site to this new site.  Users may wish to visit the old site at <a href="https://nsnam-www2.coe-hosted.gatech.edu" target="_blank">https://nsnam-www2.coe-hosted.gatech.edu</a> for information not found here.</p>
        </div>
      </div>
    </div>
  </section>

  <section>
    <div class="row">

      <div class="columns medium-4">

        {%- if site.posts.size > 0 -%}
          <h3>{{ page.list_title | default: "Recent News" }}</h3>
          <ul class="post-list">
            {%- for post in site.posts limit:3 -%}
            <li>
              {%- assign date_format = site.minima.date_format | default: "%b %-d, %Y" -%}
              <span class="post-meta post-date">{{ post.date | date: date_format }}</span>
              <h3>
                <a class="post-link" href="{{ post.url | relative_url }}">
                  {{ post.title | escape }}
                </a>
              </h3>
              {%- if site.show_excerpts -%}
                {{ post.excerpt }}
              {%- endif -%}
            </li>
            {%- endfor -%}
          </ul>

          <p class="rss-subscribe"><a href="{{ "/feed.xml" | relative_url }}"><span class="label warning">RSS</span></a></p>
        {%- endif -%}

      </div>

      <div class="columns medium-8">
        <h3>Announcements</h3>
        <div class="codein panel">
          <div class="row">
            <div class="columns medium-4">
              <img src="{{ "/assets/img/google_codein.png" | relative_url }}" alt="Google Code-in">
            </div>
            <div class="columns medium-8">
              <h4>ns-3 is participating in Google Code-in, starting October 23</h4>
              <a class="button" href="https://www.nsnam.org/wiki/index.php/GCI2018Details" target="_blank">More information</a>
            </div>
          </div>
        </div>
        <div class="workshop panel" style="background-image: url({{ '/assets/img/florence_italy.png' | relative_url }});">
          <h4>Call for Papers: <a href="{{ "/research/wns3/wns3-2019/" | relative_url }}">Workshop on ns-3</a><br />June 19-20, 2019<br />Florence, Italy</h4>
        </div>
      </div>

      <!-- <div class="columns medium-8">
        <h3>Install</h3>
        <ul class="tabs" data-tab>
          <li class="tab-title"><a href="#source">Source</a></li>
          <li class="tab-title active"><a href="#linux">GNU/Linux</a></li>
          <li class="tab-title"><a href="#macos">macOS</a></li>
          <li class="tab-title"><a href="#bsd">BSD</a></li>
          <li class="tab-title"><a href="#windows">Windows</a></li>
        </ul>
        <div class="tabs-content">
          <div class="no-js content active" id="linux">
            <p>
              Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
            </p>
          </div>
          <div class="no-js content" id="macos">
            <p>
              Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.
            </p>
          </div>
          <div class="no-js content" id="bsd">
            <p>
              At vero eos et accusamus et iusto odio dignissimos ducimus qui blanditiis praesentium voluptatum deleniti atque corrupti quos dolores et quas molestias excepturi sint occaecati cupiditate non provident, similique sunt in culpa qui officia deserunt mollitia animi, id est laborum et dolorum fuga. Et harum quidem rerum facilis est et expedita distinctio.
            </p>
          </div>
          <div class="no-js content" id="windows">
            Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?
          </div>
          <div class="no-js content" id="source">
            <p>
              Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
            </p>
          </div>
        </div>
      </div>

      <div class="columns medium-6">
          <img src="{{ "/assets/img/ns3-box.png" | relative_url }}" alt="ns-3 Box Graphic">
          <img src="{{ "/assets/img/box_documentation.png" | relative_url }}" alt="ns-3 Box Documentation Graphic">
      </div> -->

    </div>
  </section>

  <!-- <section id="syntax">
    <h3>Syntax Examples</h3>
    <div class="row">
      <div class="columns medium-12">
        <p>Once you have identified which simulation script you would like to start from, building a modified version of this script is a matter of dropping it in the scratch directory and running waf again:</p>
      </div>
      <div class="columns medium-4">
        <p>Lorem ipsum dolor sit amet.</p>
      </div>
      <div class="columns medium-8">
{% highlight bash %}cp examples/csma/csma-broadcast.cc scratch/csma-modified.cc
./waf{% endhighlight %}
      </div>
    </div>
    <div class="row">
      <div class="columns medium-4">
        <p>Lorem ipsum dolor sit amet ipsum dolor sit amet.</p>
      </div>
      <div class="columns medium-8">
{% highlight bash %}mkdir scratch/modified
cp x.cc scratch/modified
cp y.cc scratch/modified
./waf{% endhighlight %}
        </div>
      </div>
  </section> -->


  <!-- MODALS -->
  <div id="briteModal" class="reveal-modal" data-reveal aria-hidden="true" role="dialog">
    <img src="{{ "/assets/img/ns3_brite.png" | relative_url }}" alt="ns3 Brite">
    <a class="close-reveal-modal" aria-label="Close">&#215;</a>
  </div>

</div>
